Bug 214180 - hal_lpadmin should supply commandset
hal_lpadmin should supply commandset
Product: Fedora
Classification: Fedora
Component: hal-cups-utils (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
Blocks: FC6Update 214181
  Show dependency treegraph
Reported: 2006-11-06 08:19 EST by Tim Waugh
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.6.2-4.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-14 06:05:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Use default printer if only command set is known/matches (1.25 KB, patch)
2006-11-08 09:09 EST, Florian Festi
no flags Details | Diff
hal-cups-utils-match-commandset.patch (818 bytes, patch)
2006-11-08 11:47 EST, Tim Waugh
no flags Details | Diff

  None (edit)
Description Tim Waugh 2006-11-06 08:19:48 EST
Description of problem:
hal_lpadmin should supply the 'commandset' list of accepted languages if present
in the HAL data
        ppd = f.getPPD(self.make, self.model, self.description)

Looks like this:
  printer.commandset = {'MLC', 'PCL', 'PML', 'DW-PCL', 'DYN'} (string list)

and f.getPPD takes a Python list of strings for the optional "languages" 4th arg.

Version-Release number of selected component (if applicable):

This would let us supply 'Generic PostScript' PPDs for otherwise unknown
PostScript-capable printers.
Comment 1 Florian Festi 2006-11-08 09:09:22 EST
Created attachment 140650 [details]
Use default printer if only command set is known/matches

Needs current system-config-printer HEAD. Code is still untested due to missing
Comment 2 Tim Waugh 2006-11-08 11:46:53 EST
I think HAL_PROP_PRINTER_COMMANDSET needs to be split on '\t' instead of ','
from my device testing.
Comment 3 Tim Waugh 2006-11-08 11:47:36 EST
Created attachment 140667 [details]

Tested patch.
Comment 4 Tim Waugh 2006-11-08 13:02:32 EST
Fixed in devel:0.6.2-6, FC-6:0.6.2-4.1.
Comment 5 Fedora Update System 2006-11-13 13:57:52 EST
Fixed in update: hal-cups-utils-0.6.2-4.2

Note You need to log in before you can comment on or make changes to this bug.